<?xml version="1.0" encoding="US-ASCII"?>
<!-- Generated by Fujitsu XWand B0126 -->
<!-- Generated by Fujitsu Interstage XWand B0160 -->
<schema targetNamespace="http://www.ibc.com/20110930" elementFormDefault="qualified" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:iboc="http://www.ibc.com/20110930" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:us-gaap="http://fasb.org/us-gaap/2011-01-31" xmlns:us-types="http://fasb.org/us-types/2011-01-31" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:invest="http://xbrl.sec.gov/invest/2011-01-31" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:us-gaap-att="http://fasb.org/us-gaap/attributes" xmlns:us-roles="http://fasb.org/us-roles/2011-01-31" xmlns:xlink="http://www.w3.org/1999/xlink">
  <annotation>
    <appinfo>
      <link:linkbaseRef xlink:type="simple" xlink:href="iboc-20110930_pre.xml" xlink:title="Presentation Links, all" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="iboc-20110930_cal.xml" xlink:title="Calculation Links, all" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="iboc-20110930_def.xml" xlink:title="Definition Links, all" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="iboc-20110930_lab.xml" xlink:title="Label Links, all" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:roleType roleURI="http://www.ibc.com/role/DocumentAndEntityInformation" id="DocumentAndEntityInformation">
        <link:definition>9999 - Document - Document and Entity Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/BalanceSheet" id="BalanceSheet">
        <link:definition>0010 - Statement - Consolidated Statements of Condition</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/BalanceSheetParenthetical" id="BalanceSheetParenthetical">
        <link:definition>0015 - Statement - Consolidated Statements of Condition (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/StatementOfIncome" id="StatementOfIncome">
        <link:definition>0020 - Statement - Consolidated Statements of Income</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/StatementOfComprehensiveIncome" id="StatementOfComprehensiveIncome">
        <link:definition>0030 - Statement - Consolidated Statements of Comprehensive Income</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/StatementOfStockholdersEquity" id="StatementOfStockholdersEquity">
        <link:definition>8000 - Statement - Consolidated Statements of Shareholders' Equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/CashFlows" id="CashFlows">
        <link:definition>0040 - Statement - Consolidated Statements of Cash Flows</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureSummaryOfSignificantAccountingPolicies" id="DisclosureSummaryOfSignificantAccountingPolicies">
        <link:definition>8020 - Disclosure - Summary of Significant Accounting Policies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/StatementOfStockholdersEquityParenthetical" id="StatementOfStockholdersEquityParenthetical">
        <link:definition>8010 - Statement - Consolidated Statements of Shareholders' Equity (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureAcquisitions" id="DisclosureAcquisitions">
        <link:definition>8030 - Disclosure - Acquisitions</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureInvestmentSecurities" id="DisclosureInvestmentSecurities">
        <link:definition>1060 - Disclosure - Investment Securities</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureLoans" id="DisclosureLoans">
        <link:definition>1030 - Disclosure - Loans</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureAllowanceForProbableLoanLosses" id="DisclosureAllowanceForProbableLoanLosses">
        <link:definition>1040 - Disclosure - Allowance for Probable Loan Losses</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureBankPremisesAndEquipment" id="DisclosureBankPremisesAndEquipment">
        <link:definition>8040 - Disclosure - Bank Premises and Equipment</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureGoodwillAndOtherIntangibleAssets" id="DisclosureGoodwillAndOtherIntangibleAssets">
        <link:definition>8050 - Disclosure - Goodwill and Other Intangible Assets</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureDeposits" id="DisclosureDeposits">
        <link:definition>8060 - Disclosure - Deposits</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureSecuritiesSoldUnderRepurchaseAgreements" id="DisclosureSecuritiesSoldUnderRepurchaseAgreements">
        <link:definition>8070 - Disclosure - Securities Sold Under Repurchase Agreements</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureOtherBorrowedFunds" id="DisclosureOtherBorrowedFunds">
        <link:definition>1070 - Disclosure - Other Borrowed Funds</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureJuniorSubordinatedInterestDeferrableDebentures" id="DisclosureJuniorSubordinatedInterestDeferrableDebentures">
        <link:definition>1080 - Disclosure - Junior Subordinated Interest Deferrable Debentures</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureEarningsPerShare" id="DisclosureEarningsPerShare">
        <link:definition>8080 - Disclosure - Earnings per Share (EPS)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureEmployeesProfitSharingPlan" id="DisclosureEmployeesProfitSharingPlan">
        <link:definition>8090 - Disclosure - Employees' Profit Sharing Plan</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureInternationalOperations" id="DisclosureInternationalOperations">
        <link:definition>8100 - Disclosure - International Operations</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureIncomeTaxes" id="DisclosureIncomeTaxes">
        <link:definition>8110 - Disclosure - Income Taxes</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureStockOptions" id="DisclosureStockOptions">
        <link:definition>1050 - Disclosure - Stock Options</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureCommitmentsAndContingentLiabilitiesAndOtherMatters" id="DisclosureCommitmentsAndContingentLiabilitiesAndOtherMatters">
        <link:definition>1100 - Disclosure - Commitments and Contingent Liabilities and Other Matters</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureTransactionsWithRelatedParties" id="DisclosureTransactionsWithRelatedParties">
        <link:definition>8120 - Disclosure - Transactions with Related Parties</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureFinancialInstrumentsWithOffStatementOfConditionRiskAndConcentrationsOfCreditRisk" id="DisclosureFinancialInstrumentsWithOffStatementOfConditionRiskAndConcentrationsOfCreditRisk">
        <link:definition>8130 - Disclosure - Financial Instruments with Off-Statement of Condition Risk and Concentrations of Credit Risk</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureCapitalRatios" id="DisclosureCapitalRatios">
        <link:definition>1110 - Disclosure - Capital Ratios</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureFairValueMeasurements" id="DisclosureFairValueMeasurements">
        <link:definition>1020 - Disclosure - Fair Value Measurements</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureCondensedFinancialInformationOfCondition" id="DisclosureCondensedFinancialInformationOfCondition">
        <link:definition>8140 - Disclosure - International Bancshares Corporation (Parent Company Only) Financial Information Statements of Condition</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureCondensedFinancialInformationOfIncome" id="DisclosureCondensedFinancialInformationOfIncome">
        <link:definition>8150 - Disclosure - International Bancshares Corporation (Parent Company Only) Financial Information Statements of Income</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureCondensedFinancialInformationOfCashFlow" id="DisclosureCondensedFinancialInformationOfCashFlow">
        <link:definition>8160 - Disclosure - International Bancshares Corporation (Parent Company Only) Financial Information Statements of Cash Flows</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/StatementOfComprehensiveIncomeParenthetical" id="StatementOfComprehensiveIncomeParenthetical">
        <link:definition>0035 - Statement - Consolidated Statements of Comprehensive Income (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureBasisOfPresentation" id="DisclosureBasisOfPresentation">
        <link:definition>1010 - Disclosure - Basis of Presentation</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/StatementOfIncomeParenthetical" id="StatementOfIncomeParenthetical">
        <link:definition>0025 - Statement - Consolidated Statements of Income (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosurePreferredStockCommonStockAndDividends" id="DisclosurePreferredStockCommonStockAndDividends">
        <link:definition>1090 - Disclosure - Preferred Stock, Common Stock and Dividends</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureBasisOfPresentationDetails" id="DisclosureBasisOfPresentationDetails">
        <link:definition>4010 - Disclosure - Basis of Presentation (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureLoansTables" id="DisclosureLoansTables">
        <link:definition>3030 - Disclosure - Loans (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureLoansDetails" id="DisclosureLoansDetails">
        <link:definition>4030 - Disclosure - Loans (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureStockOptionsTables" id="DisclosureStockOptionsTables">
        <link:definition>3050 - Disclosure - Stock Options (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureStockOptionsDetails" id="DisclosureStockOptionsDetails">
        <link:definition>4050 - Disclosure - Stock Options (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureOtherBorrowedFundsDetails" id="DisclosureOtherBorrowedFundsDetails">
        <link:definition>4070 - Disclosure - Other Borrowed Funds (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureJuniorSubordinatedInterestDeferrableDebenturesTables" id="DisclosureJuniorSubordinatedInterestDeferrableDebenturesTables">
        <link:definition>3080 - Disclosure - Junior Subordinated Interest Deferrable Debentures (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureJuniorSubordinatedInterestDeferrableDebenturesDetails" id="DisclosureJuniorSubordinatedInterestDeferrableDebenturesDetails">
        <link:definition>4080 - Disclosure - Junior Subordinated Interest Deferrable Debentures (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureCapitalRatiosDetails" id="DisclosureCapitalRatiosDetails">
        <link:definition>4110 - Disclosure - Capital Ratios (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureCommitmentsAndContingentLiabilitiesAndOtherMattersDetails" id="DisclosureCommitmentsAndContingentLiabilitiesAndOtherMattersDetails">
        <link:definition>4100 - Disclosure - Commitments and Contingent Liabilities and Other Matters (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureJuniorSubordinatedInterestDeferrableDebenturesDetails2" id="DisclosureJuniorSubordinatedInterestDeferrableDebenturesDetails2">
        <link:definition>4081 - Disclosure - Junior Subordinated Interest Deferrable Debentures (Details 2)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosurePreferredStockCommonStockAndDividendsDetails" id="DisclosurePreferredStockCommonStockAndDividendsDetails">
        <link:definition>4090 - Disclosure - Preferred Stock, Common Stock and Dividends (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureFairValueMeasurementsTables" id="DisclosureFairValueMeasurementsTables">
        <link:definition>3020 - Disclosure - Fair Value Measurements (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureFairValueMeasurementsDetails" id="DisclosureFairValueMeasurementsDetails">
        <link:definition>4020 - Disclosure - Fair Value Measurements (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureFairValueMeasurementsDetails2" id="DisclosureFairValueMeasurementsDetails2">
        <link:definition>4021 - Disclosure - Fair Value Measurements (Details 2)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureFairValueMeasurementsDetails3" id="DisclosureFairValueMeasurementsDetails3">
        <link:definition>4022 - Disclosure - Fair Value Measurements (Details 3)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureAllowanceForProbableLoanLossesTables" id="DisclosureAllowanceForProbableLoanLossesTables">
        <link:definition>3040 - Disclosure - Allowance for Probable Loan Losses (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureAllowanceForProbableLoanLossesDetails" id="DisclosureAllowanceForProbableLoanLossesDetails">
        <link:definition>4040 - Disclosure - Allowance for Probable Loan Losses (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureAllowanceForProbableLoanLossesDetails2" id="DisclosureAllowanceForProbableLoanLossesDetails2">
        <link:definition>4041 - Disclosure - Allowance for Probable Loan Losses (Details 2)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureAllowanceForProbableLoanLossesDetails3" id="DisclosureAllowanceForProbableLoanLossesDetails3">
        <link:definition>4042 - Disclosure - Allowance for Probable Loan Losses (Details 3)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureAllowanceForProbableLoanLossesDetails4" id="DisclosureAllowanceForProbableLoanLossesDetails4">
        <link:definition>4043 - Disclosure - Allowance for Probable Loan Losses (Details 4)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureAllowanceForProbableLoanLossesDetails5" id="DisclosureAllowanceForProbableLoanLossesDetails5">
        <link:definition>4044 - Disclosure - Allowance for Probable Loan Losses (Details 5)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureAllowanceForProbableLoanLossesDetails6" id="DisclosureAllowanceForProbableLoanLossesDetails6">
        <link:definition>4045 - Disclosure - Allowance for Probable Loan Losses (Details 6)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureInvestmentSecuritiesTables" id="DisclosureInvestmentSecuritiesTables">
        <link:definition>3060 - Disclosure - Investment Securities (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureInvestmentSecuritiesDetails" id="DisclosureInvestmentSecuritiesDetails">
        <link:definition>4060 - Disclosure - Investment Securities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureInvestmentSecuritiesDetails2" id="DisclosureInvestmentSecuritiesDetails2">
        <link:definition>4061 - Disclosure - Investment Securities (Details 2)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureInvestmentSecuritiesDetails3" id="DisclosureInvestmentSecuritiesDetails3">
        <link:definition>4062 - Disclosure - Investment Securities (Details 3)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureInvestmentSecuritiesDetails4" id="DisclosureInvestmentSecuritiesDetails4">
        <link:definition>4063 - Disclosure - Investment Securities (Details 4)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.ibc.com/role/DisclosureAllowanceForProbableLoanLossesPolicies" id="DisclosureAllowanceForProbableLoanLossesPolicies">
        <link:definition>2040 - Disclosure - Allowance for Probable Loan Losses (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </appinfo>
  </annotation>
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <import namespace="http://fasb.org/us-roles/2011-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2011/elts/us-roles-2011-01-31.xsd"/>
  <import namespace="http://fasb.org/us-types/2011-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2011/elts/us-types-2011-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/dei/2011-01-31" schemaLocation="http://xbrl.sec.gov/dei/2011/dei-2011-01-31.xsd"/>
  <import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd"/>
  <import namespace="http://fasb.org/us-gaap/2011-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2011/elts/us-gaap-2011-01-31.xsd"/>
  <import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd"/>
  <import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd"/>
  <import namespace="http://xbrl.sec.gov/invest/2011-01-31" schemaLocation="http://xbrl.sec.gov/invest/2011/invest-2011-01-31.xsd"/>
  <element name="DocumentAndEntityInformationAbstract" id="iboc_DocumentAndEntityInformationAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="CashCashEquivalentsAndFederalFundsSoldExcludingTimeDeposits" id="iboc_CashCashEquivalentsAndFederalFundsSoldExcludingTimeDeposits" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="instant"/>
  <element name="OtherServiceChargesCommissionsAndFeesAbstract" id="iboc_OtherServiceChargesCommissionsAndFeesAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="ServiceChargesFeesAndCommissionsOtherBanking" id="iboc_ServiceChargesFeesAndCommissionsOtherBanking" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element name="DividendsPreferredStockAccrued" id="iboc_DividendsPreferredStockAccrued" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element name="InterestExpenseOtherBorrowings" id="iboc_InterestExpenseOtherBorrowings" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="BasisOfPresentationTextBlock" id="iboc_BasisOfPresentationTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="AccretionOfDiscountsOnTimeDepositsWithBanks" id="iboc_AccretionOfDiscountsOnTimeDepositsWithBanks" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element name="AccretionOfTimeDepositDiscounts" id="iboc_AccretionOfTimeDepositDiscounts" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element name="AmortizationOfLoansReceivablePremiums" id="iboc_AmortizationOfLoansReceivablePremiums" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="AccretionOfDiscountsInvestments" id="iboc_AccretionOfDiscountsInvestments" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element name="AmortizationOfInvestmentSecuritiesPremiums" id="iboc_AmortizationOfInvestmentSecuritiesPremiums" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="DepreciationAndAmortizationOfLeasedAssets" id="iboc_DepreciationAndAmortizationOfLeasedAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="DistributionsFromOtherInvestments" id="iboc_DistributionsFromOtherInvestments" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="IncreaseDecreaseInSavingAndInterestBearingDemandDeposits" id="iboc_IncreaseDecreaseInSavingAndInterestBearingDemandDeposits" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element name="IncreaseDecreaseInNoninterestBearingDemandDeposits" id="iboc_IncreaseDecreaseInNoninterestBearingDemandDeposits" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element name="AdjustmentToGoodwillRelatedTaxContingencies" id="iboc_AdjustmentToGoodwillRelatedTaxContingencies" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="InvestmentSecuritiesPurchasesNotYetSettled" id="iboc_InvestmentSecuritiesPurchasesNotYetSettled" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element name="AllowanceForProbableLoanLossesDisclosureAbstract" id="iboc_AllowanceForProbableLoanLossesDisclosureAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="FairValueOffBalanceSheetRisksAndConcentrationOfRiskTextBlock" id="iboc_FairValueOffBalanceSheetRisksAndConcentrationOfRiskTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:periodType="duration"/>
  <element name="FinancialInstrumentsWithOffStatementOfConditionRiskAndConcentrationsOfCreditRiskDisclosureAbstract" id="iboc_FinancialInstrumentsWithOffStatementOfConditionRiskAndConcentrationsOfCreditRiskDisclosureAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="InternationalOperationsDisclosureTextBlock" id="iboc_InternationalOperationsDisclosureTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:periodType="duration"/>
  <element name="CondensedFinancialInformationOfCashFlowParentCompanyOnlyDisclosureTextBlock" id="iboc_CondensedFinancialInformationOfCashFlowParentCompanyOnlyDisclosureTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:periodType="duration"/>
  <element name="FinancialInformationStatementsOfCashFlowsDisclosureAbstract" id="iboc_FinancialInformationStatementsOfCashFlowsDisclosureAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="CondensedFinancialInformationOfIncomeParentCompanyOnlyDisclosureTextBlock" id="iboc_CondensedFinancialInformationOfIncomeParentCompanyOnlyDisclosureTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:periodType="duration"/>
  <element name="FinancialInformationStatementsOfIncomeDisclosureAbstract" id="iboc_FinancialInformationStatementsOfIncomeDisclosureAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="CondensedFinancialInformationOfConditionParentCompanyOnlyDisclosureTextBlock" id="iboc_CondensedFinancialInformationOfConditionParentCompanyOnlyDisclosureTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:periodType="duration"/>
  <element name="FinancialInformationStatementsOfConditionDisclosureAbstract" id="iboc_FinancialInformationStatementsOfConditionDisclosureAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="PaymentsOfCashDividendsInLieuOfFractionalShares" id="iboc_PaymentsOfCashDividendsInLieuOfFractionalShares" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element name="BasisOfPresentationDisclosureAbstract" id="iboc_BasisOfPresentationDisclosureAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="NumberOfActiveOperatingSubsidiaries" id="iboc_NumberOfActiveOperatingSubsidiaries" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="OperatingSegmentNumber" id="iboc_OperatingSegmentNumber" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="OtherBorrowedFundsDisclosureAbstract" id="iboc_OtherBorrowedFundsDisclosureAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="NumberOfStatutoryBusinessTrustsIssuingPreferredSecurities" id="iboc_NumberOfStatutoryBusinessTrustsIssuingPreferredSecurities" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="ExtendedTransitionPeriodUnderFederalReserveBoardFinalRule" id="iboc_ExtendedTransitionPeriodUnderFederalReserveBoardFinalRule" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="LengthOfTransitionPeriodUnderFederalReserveBoardFinalRule" id="iboc_LengthOfTransitionPeriodUnderFederalReserveBoardFinalRule" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="MaximumNumberOfConsecutiveSemiAnnualPeriodsAvailableForDeferralOfPaymentOfInterestOnTrustI" id="iboc_MaximumNumberOfConsecutiveSemiAnnualPeriodsAvailableForDeferralOfPaymentOfInterestOnTrustI" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="MaximumNumberOfConsecutiveQuarterlyPeriodsAvailableForDeferralOfPaymentOfInterestOnOtherThanTrustI" id="iboc_MaximumNumberOfConsecutiveQuarterlyPeriodsAvailableForDeferralOfPaymentOfInterestOnOtherThanTrustI" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="MaximumPercentageOfCapitalSecuritiesIssuedByTrustQualifyingAsTierOneCapital" id="iboc_MaximumPercentageOfCapitalSecuritiesIssuedByTrustQualifyingAsTierOneCapital" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="MaximumPercentageOfTrustPreferredSecuritiesAndOtherCapitalElementsToTierOneCapital" id="iboc_MaximumPercentageOfTrustPreferredSecuritiesAndOtherCapitalElementsToTierOneCapital" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="PercentageOfTrustPreferredSecuritiesToTierOneCapitalOfBankHoldingCompaniesWithSignificantInternationalOperationsMaximumLimitExpected" id="iboc_PercentageOfTrustPreferredSecuritiesToTierOneCapitalOfBankHoldingCompaniesWithSignificantInternationalOperationsMaximumLimitExpected" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="MaximumPercentageOfConvertiblePreferredSecuritiesToTierOneCapitalElementsOfBankHoldingCompaniesWithSignificantInternationalOperations" id="iboc_MaximumPercentageOfConvertiblePreferredSecuritiesToTierOneCapitalElementsOfBankHoldingCompaniesWithSignificantInternationalOperations" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="CapitalSecuritiesIssuedByTrustQualifyingAsTierOneCapital" id="iboc_CapitalSecuritiesIssuedByTrustQualifyingAsTierOneCapital" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="MinimumConsolidatedAssetsForApplicationOfCollinsAmendment" id="iboc_MinimumConsolidatedAssetsForApplicationOfCollinsAmendment" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="instant"/>
  <element name="AcquisitionsDisclosureAbstract" id="iboc_AcquisitionsDisclosureAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="DepositsDisclosureAbstract" id="iboc_DepositsDisclosureAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="SecuritiesSoldUnderRepurchaseAgreementsDisclosureAbstract" id="iboc_SecuritiesSoldUnderRepurchaseAgreementsDisclosureAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="InternationalOperationsDisclosureAbstract" id="iboc_InternationalOperationsDisclosureAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="InvestmentSecuritiesSoldNotYetSettled" id="iboc_InvestmentSecuritiesSoldNotYetSettled" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="LitigationExpense" id="iboc_LitigationExpense" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringNetOfReclassificationAdjustment" id="iboc_OtherComprehensiveIncomeUnrealizedHoldingGainLossOnSecuritiesArisingDuringNetOfReclassificationAdjustment" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element name="InterestExpenseSavingsAndDemandDepositAccounts" id="iboc_InterestExpenseSavingsAndDemandDepositAccounts" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="IncentiveStockOptionsTo10PercentShareholdersMember" id="iboc_IncentiveStockOptionsTo10PercentShareholdersMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardNumberOfSharesIncreaseDecreaseAvailableForGrant" id="iboc_ShareBasedCompensationArrangementByShareBasedPaymentAwardNumberOfSharesIncreaseDecreaseAvailableForGrant" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsReductionsFromOutstandingAbstract" id="iboc_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsReductionsFromOutstandingAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsReductionsFromOutstandingWeightedAverageExercisePriceAbstract" id="iboc_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsReductionsFromOutstandingWeightedAverageExercisePriceAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsWeightedAverageRemainingContractualTermDisclosuresAbstract" id="iboc_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsWeightedAverageRemainingContractualTermDisclosuresAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsAggregateIntrinsicValueDisclosuresAbstract" id="iboc_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsAggregateIntrinsicValueDisclosuresAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="PercentageOfAdvancesFromFederalHomeLoanBanksIncreaseDecrease" id="iboc_PercentageOfAdvancesFromFederalHomeLoanBanksIncreaseDecrease" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="IntangibleAssetsAndGoodwill" id="iboc_IntangibleAssetsAndGoodwill" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="instant"/>
  <element name="NoticeOfFinalPartnershipAdministrativeAdjustmentsMember" id="iboc_NoticeOfFinalPartnershipAdministrativeAdjustmentsMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="ClaimsByFormerControllingShareholdersOfAcquiredEntityMember" id="iboc_ClaimsByFormerControllingShareholdersOfAcquiredEntityMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="ClassOfActionLawsuitsMember" id="iboc_ClassOfActionLawsuitsMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="SouthernDistrictOfTexasMember" id="iboc_SouthernDistrictOfTexasMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="SouthernDistrictOfFloridaMember" id="iboc_SouthernDistrictOfFloridaMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="LossContingencyByGeographicRegionAxis" id="iboc_LossContingencyByGeographicRegionAxis" type="xbrli:stringItemType" substitutionGroup="xbrldt:dimensionItem" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="LossContingencyGeographicRegionDomain" id="iboc_LossContingencyGeographicRegionDomain" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="NumberOfPartnershipsNoticeOfFPAAIssued" id="iboc_NumberOfPartnershipsNoticeOfFPAAIssued" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="SubsidiaryBanksNumber" id="iboc_SubsidiaryBanksNumber" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="PercentageOfOwnershipInPartnership" id="iboc_PercentageOfOwnershipInPartnership" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="LossContingencyPaymentOfDeposits" id="iboc_LossContingencyPaymentOfDeposits" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element name="ScheduleOfJuniorSubordinatedBorrowingsTableTextBlock" id="iboc_ScheduleOfJuniorSubordinatedBorrowingsTableTextBlock" type="nonnum:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="TrustSevenMember" id="iboc_TrustSevenMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="TrustEightMember" id="iboc_TrustEightMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="TrustNineMember" id="iboc_TrustNineMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="TrustTenMember" id="iboc_TrustTenMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="TrustElevenMember" id="iboc_TrustElevenMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="TrustTwelveMember" id="iboc_TrustTwelveMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="TrustOneMember" id="iboc_TrustOneMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="TrustSixMember" id="iboc_TrustSixMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="InitialPeriodOfAccrualOfInterestAtFixedRate" id="iboc_InitialPeriodOfAccrualOfInterestAtFixedRate" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="PreferredStockLiquidationPreferenceValue" id="iboc_PreferredStockLiquidationPreferenceValue" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="PreferredStockDividendRatePercentageForFirstFiveYears" id="iboc_PreferredStockDividendRatePercentageForFirstFiveYears" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="PreferredStockDividendRatePercentageThereafter" id="iboc_PreferredStockDividendRatePercentageThereafter" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="AggregateCommonStockInvestmentAsPercentageOfSeniorPreferredStockInvestmentOnExerciseOfWarrants" id="iboc_AggregateCommonStockInvestmentAsPercentageOfSeniorPreferredStockInvestmentOnExerciseOfWarrants" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="ClassOfWarrantOrRightTerm" id="iboc_ClassOfWarrantOrRightTerm" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="PeriodOfAmortizationOfPreferredStockDiscountOnFairValue" id="iboc_PeriodOfAmortizationOfPreferredStockDiscountOnFairValue" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="DividendsPreferredStockFuturePayment" id="iboc_DividendsPreferredStockFuturePayment" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="PreferredStockFairValueStandAloneBasis" id="iboc_PreferredStockFairValueStandAloneBasis" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="WarrantsFairValueStandAloneBasis" id="iboc_WarrantsFairValueStandAloneBasis" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="AmortizationOfPreferredStockDiscountOnFairValue" id="iboc_AmortizationOfPreferredStockDiscountOnFairValue" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="MaximumSemiAnnualCashDividendPayablePerShare" id="iboc_MaximumSemiAnnualCashDividendPayablePerShare" type="num:perShareItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="ImpairedFinancingReceivableRecordedInvestmentFairValueDisclosure" id="iboc_ImpairedFinancingReceivableRecordedInvestmentFairValueDisclosure" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="instant"/>
  <element name="SpecificValuationAllowanceImpairedFinancingReceivableFairValueDisclosure" id="iboc_SpecificValuationAllowanceImpairedFinancingReceivableFairValueDisclosure" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="ChangeInProvisionOfImpairedFinancingReceivableFairValueDisclosure" id="iboc_ChangeInProvisionOfImpairedFinancingReceivableFairValueDisclosure" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="FairValueMeasurementsDiscountedCashFlowModelAssumptionsFuturePrincipalPrepaymentRatesLowEndOfRange" id="iboc_FairValueMeasurementsDiscountedCashFlowModelAssumptionsFuturePrincipalPrepaymentRatesLowEndOfRange" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="instant"/>
  <element name="FairValueMeasurementsDiscountedCashFlowModelAssumptionsFuturePrincipalPrepaymentRatesHighEndOfRange" id="iboc_FairValueMeasurementsDiscountedCashFlowModelAssumptionsFuturePrincipalPrepaymentRatesHighEndOfRange" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="instant"/>
  <element name="FairValueMeasurementsDiscountedCashFlowModelAssumptionsFuturePrincipalPrepaymentDiscountRate" id="iboc_FairValueMeasurementsDiscountedCashFlowModelAssumptionsFuturePrincipalPrepaymentDiscountRate" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="instant"/>
  <element name="FairValueMeasurementsDiscountedCashFlowModelAssumptionsDefaultRatesForFirstYearLowEndOfRange" id="iboc_FairValueMeasurementsDiscountedCashFlowModelAssumptionsDefaultRatesForFirstYearLowEndOfRange" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="instant"/>
  <element name="FairValueMeasurementsDiscountedCashFlowModelAssumptionsDefaultRatesForFirstYearHighEndOfRange" id="iboc_FairValueMeasurementsDiscountedCashFlowModelAssumptionsDefaultRatesForFirstYearHighEndOfRange" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="instant"/>
  <element name="FairValueMeasurementsDiscountedCashFlowModelAssumptionsDefaultRatesThereafter" id="iboc_FairValueMeasurementsDiscountedCashFlowModelAssumptionsDefaultRatesThereafter" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="instant"/>
  <element name="FairValueMeasurementsDiscountedCashFlowModelAssumptionsLossSeverityRatesForFirstYear" id="iboc_FairValueMeasurementsDiscountedCashFlowModelAssumptionsLossSeverityRatesForFirstYear" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="instant"/>
  <element name="FairValueMeasurementsDiscountedCashFlowModelAssumptionsLossSeverityRatesThereafter" id="iboc_FairValueMeasurementsDiscountedCashFlowModelAssumptionsLossSeverityRatesThereafter" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="instant"/>
  <element name="FairValueMeasurementsDiscountedCashFlowModelAssumptionsDeclineInLossSeverityRatesForFollowingThreeYears" id="iboc_FairValueMeasurementsDiscountedCashFlowModelAssumptionsDeclineInLossSeverityRatesForFollowingThreeYears" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="FairValueMeasurementWithUnobservableInputsReconciliationRecurringBasisAssetGainLossAbstract" id="iboc_FairValueMeasurementWithUnobservableInputsReconciliationRecurringBasisAssetGainLossAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="LoansReceivableWithFixedRateOfInterest" id="iboc_LoansReceivableWithFixedRateOfInterest" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="instant"/>
  <element name="LoansReceivableWithFixedRateOfInterestFairValueDisclosure" id="iboc_LoansReceivableWithFixedRateOfInterestFairValueDisclosure" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="instant"/>
  <element name="TimeDepositsFairValueDisclosure" id="iboc_TimeDepositsFairValueDisclosure" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="SecuritiesSoldUnderLongTermAgreementsToRepurchase" id="iboc_SecuritiesSoldUnderLongTermAgreementsToRepurchase" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="JuniorSubordinatedDebentureWithFixedRatesOfInterestOwedToUnconsolidatedSubsidiaryTrust" id="iboc_JuniorSubordinatedDebentureWithFixedRatesOfInterestOwedToUnconsolidatedSubsidiaryTrust" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="JuniorSubordinatedDebentureWithFixedRatesOfInterestOwedToUnconsolidatedSubsidiaryTrustFairValueDisclosure" id="iboc_JuniorSubordinatedDebentureWithFixedRatesOfInterestOwedToUnconsolidatedSubsidiaryTrustFairValueDisclosure" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="FederalHomeLoanBankAdvancesLongTermFairValueDisclosure" id="iboc_FederalHomeLoanBankAdvancesLongTermFairValueDisclosure" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="ReceivablesFromDomesticOperationsMember" id="iboc_ReceivablesFromDomesticOperationsMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="CommercialReceivablesMember" id="iboc_CommercialReceivablesMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="CommercialRealEstateOtherConstructionAndLandDevelopmentReceivableMember" id="iboc_CommercialRealEstateOtherConstructionAndLandDevelopmentReceivableMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="CommercialRealEstateFarmlandAndCommercialReceivableMember" id="iboc_CommercialRealEstateFarmlandAndCommercialReceivableMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="ResidentialFirstMortgageFinancingReceivableMember" id="iboc_ResidentialFirstMortgageFinancingReceivableMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="ResidentialSecondMortgageFinancingReceivableMember" id="iboc_ResidentialSecondMortgageFinancingReceivableMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="ForeignReceivablesMember" id="iboc_ForeignReceivablesMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="CommercialRealEstateMultifamilyReceivableMember" id="iboc_CommercialRealEstateMultifamilyReceivableMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="SpecialPassMember" id="iboc_SpecialPassMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="AllowanceForLoanAndLeaseLossesWriteOffsNet" id="iboc_AllowanceForLoanAndLeaseLossesWriteOffsNet" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="ImpairedFinancingReceivableAllowanceTypeAxis" id="iboc_ImpairedFinancingReceivableAllowanceTypeAxis" type="xbrli:stringItemType" substitutionGroup="xbrldt:dimensionItem" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="ImpairedFinancingReceivableAllowanceTypeDomain" id="iboc_ImpairedFinancingReceivableAllowanceTypeDomain" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="PeriodOfChargeOffForPastDueUnsecuredCommercialLoans" id="iboc_PeriodOfChargeOffForPastDueUnsecuredCommercialLoans" type="xbrli:integerItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="DebtInstrumentDescriptionOfVariableRateBasisAfterFiveYears" id="iboc_DebtInstrumentDescriptionOfVariableRateBasisAfterFiveYears" type="xbrli:stringItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="DebtInstrumentBasisSpreadOnVariableRateAfterFiveYears" id="iboc_DebtInstrumentBasisSpreadOnVariableRateAfterFiveYears" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="instant"/>
  <element name="StockRepurchaseProgramCumulativeSharesRepurchased" id="iboc_StockRepurchaseProgramCumulativeSharesRepurchased" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="instant"/>
  <element name="StockRepurchaseProgramCumulativeCostOfSharesRepurchased" id="iboc_StockRepurchaseProgramCumulativeCostOfSharesRepurchased" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="instant"/>
  <element name="FinancingReceivableAllowanceForCreditLossesIndividuallyEvaluatedForImpairments" id="iboc_FinancingReceivableAllowanceForCreditLossesIndividuallyEvaluatedForImpairments" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="LoansReceivableCommericalFinancialAndAgriculturalMember" id="iboc_LoansReceivableCommericalFinancialAndAgriculturalMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="MortgageBackedSecuritiesIssuedByUSGovernmentCorporationsAndAgenciesSecuritiesMember" id="iboc_MortgageBackedSecuritiesIssuedByUSGovernmentCorporationsAndAgenciesSecuritiesMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="HeldToMaturitySecuritiesAbstract" id="iboc_HeldToMaturitySecuritiesAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="AvailableForSaleSecuritiesPledgedAsCollateralAmortizedCost" id="iboc_AvailableForSaleSecuritiesPledgedAsCollateralAmortizedCost" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="instant"/>
  <element name="AllowanceForLoansAndLeasesLossesRecoveriesOfBadDebts" id="iboc_AllowanceForLoansAndLeasesLossesRecoveriesOfBadDebts" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element name="OtherRealEstateAndForeclosedAssetsInUse" id="iboc_OtherRealEstateAndForeclosedAssetsInUse" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="instant"/>
  <element name="SpecificValuationAllowanceOtherRealEstateAndForeclosedAssetsInUse" id="iboc_SpecificValuationAllowanceOtherRealEstateAndForeclosedAssetsInUse" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="ChangeInProvisionOfOtherRealEstateAndForeclosedAssetsInUse" id="iboc_ChangeInProvisionOfOtherRealEstateAndForeclosedAssetsInUse" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element name="AccruedPartialRedemptionOfPreferredSecuritiesNonCashFinancingAndInvestingActivitiesImpact" id="iboc_AccruedPartialRedemptionOfPreferredSecuritiesNonCashFinancingAndInvestingActivitiesImpact" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="OtherThanTemporaryImpairmentLossesInvestmentsPortionRecognizedInEarningsNetAfterTax" id="iboc_OtherThanTemporaryImpairmentLossesInvestmentsPortionRecognizedInEarningsNetAfterTax" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="PortionOfSecuritiesRedeemed" id="iboc_PortionOfSecuritiesRedeemed" type="xbrli:stringItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <element name="OtherThanTemporaryImpairmentLossesInvestmentPortionRecognizedInEarningsNet" id="iboc_OtherThanTemporaryImpairmentLossesInvestmentPortionRecognizedInEarningsNet" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element name="JuniorSubordinatedDefferrableInterestDebenturesDisclosureAbstract" id="iboc_JuniorSubordinatedDefferrableInterestDebenturesDisclosureAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <element name="AllowanceForLoanLeaseLossesWriteOffsPriorToForeclosure" id="iboc_AllowanceForLoanLeaseLossesWriteOffsPriorToForeclosure" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
</schema>
